Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.serializer
Class MapSerializer

    java.lang.Object
      org.apache.xmlrpc.serializer.TypeSerializerImpl
          org.apache.xmlrpc.serializer.MapSerializer

All Implemented Interfaces:
  TypeSerializer

    public class MapSerializer

extends TypeSerializerImpl

A `TypeSerializer` for maps.

Field Summary
`static java.lang.String` | `MEMBER_TAG` Tag name of a maps member tag.
`static java.lang.String` | `NAME_TAG` Tag name of a maps members name tag.
`static java.lang.String` | `STRUCT_TAG` Tag name of a maps struct tag.

Fields inherited from class org.apache.xmlrpc.serializer.TypeSerializerImpl
`VALUE_TAG, ZERO_ATTRIBUTES`

Constructor Summary
`MapSerializer(TypeFactory pTypeFactory, XmlRpcStreamConfig pConfig)` Creates a new instance.

Method Summary
`void` | `write(org.xml.sax.ContentHandler pHandler, java.lang.Object pObject)` Writes the object `pObject` to the SAX handler `pHandler`.
`protected void` | `writeData(org.xml.sax.ContentHandler pHandler, java.lang.Object pData)`
`protected void` | `writeEntry(org.xml.sax.ContentHandler pHandler, java.lang.Object pKey, java.lang.Object pValue)`

Methods inherited from class org.apache.xmlrpc.serializer.TypeSerializerImpl
`write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCT_TAG

    public static final java.lang.String STRUCT_TAG

  Tag name of a maps struct tag.

  See Also:
    Constant Field Values

### MEMBER_TAG

    public static final java.lang.String MEMBER_TAG

  Tag name of a maps member tag.

  See Also:
    Constant Field Values

### NAME_TAG

    public static final java.lang.String NAME_TAG

  Tag name of a maps members name tag.

  See Also:
    Constant Field Values

Constructor Detail

### MapSerializer

    public MapSerializer(TypeFactory pTypeFactory,
                         XmlRpcStreamConfig pConfig)

  Creates a new instance.

  Parameters:
    `pTypeFactory` - The factory being used for creating serializers.
    `pConfig` - The configuration being used for creating serializers.

Method Detail

### writeEntry

    protected void writeEntry(org.xml.sax.ContentHandler pHandler,
                              java.lang.Object pKey,
                              java.lang.Object pValue)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### writeData

    protected void writeData(org.xml.sax.ContentHandler pHandler,
                             java.lang.Object pData)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### write

    public void write(org.xml.sax.ContentHandler pHandler,
                      java.lang.Object pObject)
               throws org.xml.sax.SAXException

  Description copied from interface: `TypeSerializer`
  Writes the object `pObject` to the SAX handler `pHandler`.

  Parameters:
    `pHandler` - The destination handler.
    `pObject` - The object being written.
  Throws:
    `org.xml.sax.SAXException` - Writing the object failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.